POST
/company/{companyId}/validate
curl \
--request POST 'https://live.smartpmtech.com/company/{companyId}/validate' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"fileId": "string",
"companyId": "string",
"source": "SmartPM",
"dataDate": "2026-05-04T09:42:00Z",
"skipSubsetValidations": true,
"projectPlanId": "string",
"skipProjectLimit": true
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"fileId": "string",
"companyId": "string",
"source": "SmartPM",
"dataDate": "2026-05-04T09:42:00Z",
"skipSubsetValidations": true,
"projectPlanId": "string",
"skipProjectLimit": true
}
Response examples (200)
{
"valid": true,
"fileId": "string",
"message": "string",
"errorCode": "string"
}